CastExpression (groovy 2.4.6 API)
Date: 2016-02-18

Package: org.codehaus.groovy.ast.expr

## [Java] Class CastExpression

- org.codehaus.groovy.ast.expr.CastExpression

- Represents a type cast expression

  Authors:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and description
    `CastExpression (ClassNode type, Expression expression)`
    `CastExpression (ClassNode type, Expression expression, boolean ignoreAutoboxing)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static CastExpression` | `asExpression(ClassNode type, Expression expression)`
    `Expression` | `getExpression()`
    `String` | `getText()`
    `boolean` | `isCoerce()`
    `boolean` | `isIgnoringAutoboxing()`
    `boolean` | `isStrict()` If strict mode is true, then when the compiler generates a cast, it will disable Groovy casts and rely on a strict cast (CHECKCAST)
    `void` | `setCoerce(boolean coerce)`
    `void` | `setStrict(boolean strict)` If strict mode is true, then when the compiler generates a cast, it will disable Groovy casts and rely on a strict cast (CHECKCAST)
    `void` | `setType(ClassNode t)`
    `String` | `toString()`
    `Expression` | `transformExpression(ExpressionTransformer transformer)`
    `void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public CastExpression(ClassNode type, Expression expression)

    - #### public CastExpression(ClassNode type, Expression expression, boolean ignoreAutoboxing)

  - ### Method Detail

    - #### public static CastExpression asExpression(ClassNode type, Expression expression)

    - #### public Expression getExpression()

    - #### public String getText()

    - #### public boolean isCoerce()

    - #### public boolean isIgnoringAutoboxing()

    - #### public boolean isStrict()

      If strict mode is true, then when the compiler generates a cast, it will disable Groovy casts and rely on a strict cast (CHECKCAST)

      Returns:
        true if strict mode is enable

    - #### public void setCoerce(boolean coerce)

    - #### public void setStrict(boolean strict)

      If strict mode is true, then when the compiler generates a cast, it will disable Groovy casts and rely on a strict cast (CHECKCAST)

      Parameters:
        `strict` - strict mode

    - #### public void setType(ClassNode t)

    - #### public String toString()

    - #### public Expression transformExpression(ExpressionTransformer transformer)

    - #### public void visit(GroovyCodeVisitor visitor)